# Installation

Run `composer require dedi/sylius-stock-history-plugin`

Add the plugin and dependency classes to your `config/bundles.php` :

```php
<?php

return [
    //..
    Dedi\SyliusStockHistoryPlugin\DediSyliusStockHistoryPlugin::class => ['all' => true],
    Sylius\Bundle\GridBundle\SyliusGridBundle::class => ['all' => true],
    winzou\Bundle\StateMachineBundle\winzouStateMachineBundle::class => ['all' => true],
    // ..
];
```

Create `dedi_sylius_stock_history_plugin.yaml` file into `config/packages` folder to import the plugin's config

```yaml
# config/packages/dedi_sylius_stock_history_plugin.yaml
imports:
    - { resource: "@DediSyliusStockHistoryPlugin/config/config.yaml" }
```

### Import the routes

```yaml
# config/routes/sylius_admin.yaml

...

dedi_sylius_stock_history_admin:
    resource: '@DediSyliusStockHistoryPlugin/config/admin_routing.yml'
```

### Import api resources

```yaml
# config/packages/api_platform.yaml

api_platform:
    mapping:
        paths:
            ...
            - '%kernel.project_dir%/vendor/dedi/sylius-stock-history-plugin/config/api_platform'
```

### Create and execute database migrations

```bash
    bin/console doctrine:migrations:diff
    bin/console doctrine:migrations:migrate
```

That's it

The plugin will now log every inventory movement and you can see it in the admin panel under the `Stock History` section.
