<?php

declare(strict_types=1);

namespace Dedi\SyliusStockHistoryPlugin\Resolver\Order\Shop;

use Dedi\SyliusStockHistoryPlugin\Enum\InventoryLogEntryType;
use Dedi\SyliusStockHistoryPlugin\Resolver\Order\InventoryLogOrderResolverInterface;
use Sylius\Component\Core\Model\OrderInterface;
use Sylius\Component\Order\Context\CartContextInterface;

class CheckoutCompleteResolver implements InventoryLogOrderResolverInterface
{
    public function __construct(
        private readonly CartContextInterface $cartContext,
    ) {
    }

    public function resolve(string $type): ?OrderInterface
    {
        if (!$this->supports($type)) {
            return null;
        }

        /** @var ?OrderInterface $order */
        $order = $this->cartContext->getCart();

        return $order;
    }

    public function supports(string $type): bool
    {
        return $type === InventoryLogEntryType::SHOP_CHECKOUT_COMPLETE->value;
    }
}
